Subject: Re: [GIT PULL] Please Pull Mellanox Shared Code

From: Leon Romanovsky <[email-masked]>
Date: Tue, 14 Jun 2016 20:51:33 +0300

On Tue, Jun 14, 2016 at 01:16:50PM -0400, Doug Ledford wrote:
> On 6/14/2016 3:02 AM, David Miller wrote:
> > 
> > Please, just stop right now.
> > 
> > We're not asking for the a huge patch covering the entire pull
> > request.
> > 
> > We're asking for you to post a patch series, one per commit, and as
> > numbered, fresh, new mailing list patch postings.  As if you were
> > submitting these changes for the very first time to the list.
> > 
> > Please ask a colleague for how to do this properly before you spam the
> > list again with more unnecessary and improperly formatted submissions.
> 
> Dave,
> 
> He's doing what Linus requested from Mellanox.  They were instructed to
> identify all of the coming changes in the next release where patches
> sent through your tree and patches sent through my tree would have
> conflicts.  They were then instructed to make git commits that merged
> those changes and have both you and I pull them (please note "pull", not
> git am patches) so that we have the exact same commit hashes in our
> trees and git will do the right thing when your tree and my tree are
> merged in the next merge window.  As it turns out the conflicts are
> mainly in this firmware offset definition file.  They just put all of
> the needed changes in there in one commit.  I doubt they have individual
> patches here.  This was a custom made patch who's sole purpose is to
> combine all the otherwise possibly conflicting changes in one place.
> I'm sure they could split it out into different commits, but they
> wouldn't be full commits, just the portion that applies to this firmware
> file.

Thanks Doug,

In addition to your accurate description. We don't have separate commits
for this file (mlx5_ifc.h) for many reasons: auto generated file, one
logical change (enable FW features), no helpful for bisect e.t.c.

My goal was to simplify the maintainers' work by sending minimal
possible pull request with easy for review information.

I also resent the pull request [1] as a cover letter together with patch itself [2].

[1] http://lkml.kernel.org/r/1465900500-1578-1-git-send-email-leonro+()+mellanox+!+com
[2] http://lkml.kernel.org/r/1465900500-1578-2-git-send-email-leonro+()+mellanox+!+com

Thanks.

> 
> --
> Doug Ledford <[email-masked]>
> 	GPG Key ID: 0E572FDD
>